CalryOTA Docs
Cancellation policies

Apply a policy to the tenant, a listing, a channel or a listing on a channel

Replaces whatever policy was assigned at the same level. The most specific level wins: listing+channel, listing, channel, tenant. Only the tenant that owns a listing can assign to it.

PUT
/api/v1/cancellation-policies/assignments

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Header Parameters

x-calry-tenant-id?string

Tenant (host) whose policies to manage. If not provided, the default tenant is used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/cancellation-policies/assignments" \  -H "Content-Type: application/json" \  -d '{    "policyID": "string"  }'
{
  "id": "string",
  "policyID": "string",
  "listingID": "string",
  "channel": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}